Bug 485251 (F-ExcludeArch-ARM)

Summary: ExcludeArch Tracker for ARM
Product: [Fedora] Fedora Reporter: Dan Horák <dan>
Component: distributionAssignee: Dennis Gilmore <dennis>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: ctyler.fedora, dcantrell, jcm, Marcin.Dulak, pbrobinson, puntogil, rjones, rohara
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: armhfp   
OS: Linux   
URL: https://fedoraproject.org/w/index.php?title=Architectures/ARM
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 627370, 803433, 980185, 992636, 994894, 994965, 994969, 996462, 996728, 1035485, 1065725, 1139141, 1158024, 1171380, 1192713, 1208441, 1322995, 1340634, 1340635, 902875, 991655, 992138, 992323, 992798, 992850, 994968, 995798, 996726, 997975, 999174, 999971, 1000920, 1003862, 1004354, 1004357, 1012215, 1043941, 1074700, 1101683, 1117968, 1149953, 1176345, 1239119, 1241164, 1260297, 1310438    
Bug Blocks: 245418    

Description Dan Horák 2009-02-12 11:31:22 EST
From the package review guidelines:
---
MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next
to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number.
---
This Bug is used as a tracker for such issues. If you added a bug for a package
that uses ExcludeArch, mark it as blocking this bug.
Comment 1 John Morris 2013-08-06 00:10:36 EDT
The correct name of the arch to exclude is absent from Packaging:Guidelines#Architecture_Build_Failures and Features/FedoraARM.  I guessed and used 'armv7hl' based on output from

koji taginfo f20-build

That is:

ExcludeArch:    armv7hl
Comment 2 marcindulak 2014-01-25 11:10:24 EST
(In reply to John Morris from comment #1)
> The correct name of the arch to exclude is absent from
> Packaging:Guidelines#Architecture_Build_Failures and Features/FedoraARM.  I
> guessed and used 'armv7hl' based on output from
> 
> koji taginfo f20-build
> 
> That is:
> 
> ExcludeArch:    armv7hl

this information is still missing in the wiki.
Maybe it should be a more general:

ExcludeArch:      %{arm}

Can someone clarify this?
Comment 3 Peter Robinson 2014-01-26 02:54:09 EST
> ExcludeArch:      %{arm}

Either will work, the %{arm} is macro that covers all 32 bit ARM architectures so is preferable